module Notifiable
  class User < ActiveRecord::Base
    self.table_name_prefix = 'notifiable_'

    belongs_to :app, class_name: 'Notifiable::App'
    has_many :device_tokens, class_name: 'Notifiable::DeviceToken'
    
    validates :alias, presence: true, allow_blank: false
  end
end
